local CWC = {}

CWC.name = "AdamsAddons/ChangeWipeController"
CWC.depth = -1000000
CWC.texture = "objects/Anzen/AdamsAddons/ChangeWipeController/icon"
CWC.placements = {
    name = "controller",
    data = {
        orig_wipe = "Celeste.AngledWipe",
        wipe = "Celeste.AngledWipe",
        flag = ""
    }
}

CWC.fieldOrder = {
    "x","y","flag","orig_wipe","wipe"
}

CWC.fieldInformation = {
    wipe = {
        options={
            {"Angled","Celeste.AngledWipe"},
            {"Dream","Celeste.DreamWipe"},
            {"Curtain","Celeste.CurtainWipe"},
            {"Drop","Celeste.DropWipe"},
            {"Fade","Celeste.FadeWipe"},
            {"Fall","Celeste.FallWipe"},
            {"Heart","Celeste.HeartWipe"},
            {"KeyDoor","Celeste.KeyDoorWipe"},
            {"Mountain","Celeste.MountainWipe"},
            {"Starfield","Celeste.StarfieldWipe"},
            {"Wind","Celeste.WindWipe"},
            {"Spotlight","Celeste.SpotlightWipe"},
            {"Diamond [Femto Helper]","Celeste.Mod.FemtoHelper.Wipes.DiamondWipe"},
            {"Sinewave [Femto Helper]","Celeste.Mod.FemtoHelper.Wipes.SineWipe"},
            {"Square [Femto Helper]","Celeste.Mod.FemtoHelper.Wipes.SquareWipe"},
            {"Bars [Femto Helper]", "Celeste.Mod.FemtoHelper.Wipes.CirclerWipe"},
            {"Diagrid [Femto Helper]", "Celeste.Mod.FemtoHelper.Wipes.DiagridWipe"},
            {"Triangles [Femto Helper]", "CliffhangerWipe"},
            {"Arrow [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Arrow"},
            {"Dots [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Dots"},
            {"Rocks [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Rocks"},
            {"Spinners [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Speen"},
            {"Vines [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Vines"}
        },
        editable=false
    },
    orig_wipe = {
        options={
            {"Angled","Celeste.AngledWipe"},
            {"Dream","Celeste.DreamWipe"},
            {"Curtain","Celeste.CurtainWipe"},
            {"Drop","Celeste.DropWipe"},
            {"Fade","Celeste.FadeWipe"},
            {"Fall","Celeste.FallWipe"},
            {"Heart","Celeste.HeartWipe"},
            {"KeyDoor","Celeste.KeyDoorWipe"},
            {"Mountain","Celeste.MountainWipe"},
            {"Starfield","Celeste.StarfieldWipe"},
            {"Wind","Celeste.WindWipe"},
            {"Spotlight","Celeste.SpotlightWipe"},
            {"Diamond [Femto Helper]","Celeste.Mod.FemtoHelper.Wipes.DiamondWipe"},
            {"Sinewave [Femto Helper]","Celeste.Mod.FemtoHelper.Wipes.SineWipe"},
            {"Square [Femto Helper]","Celeste.Mod.FemtoHelper.Wipes.SquareWipe"},
            {"Bars [Femto Helper]", "Celeste.Mod.FemtoHelper.Wipes.CirclerWipe"},
            {"Diagrid [Femto Helper]", "Celeste.Mod.FemtoHelper.Wipes.DiagridWipe"},
            {"Triangles [Femto Helper]", "CliffhangerWipe"},
            {"Arrow [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Arrow"},
            {"Dots [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Dots"},
            {"Rocks [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Rocks"},
            {"Spinners [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Speen"},
            {"Vines [Jungle Helper + Maddie's Helping Hand]", "MaxHelpingHand/CustomWipe:JungleHelper/Vines"}
        },
        editable=false
    }
}

return CWC