local PCC = {}

PCC.name = "AdamsAddons/ParticleColorController"
PCC.depth = -1000000
PCC.texture = "objects/Anzen/AdamsAddons/ParticleColorController/icon"
PCC.placements = {
    name = "controller",
    data = {
        particleType = "Dust",
        color = "",
        color2 = ""
    }
}

PCC.fieldOrder = {
    "x","y","particleType","color","color2"
}

PCC.fieldInformation = {
    particleType = {
        options = {
            "Dust",
            "SparkyDust",
            "Chimney",
            "SwitchGate.P_Behind",
            "TouchSwitch.P_Fire",
            "TouchSwitch.P_FireWhite",
            "Booster.P_Burst",
            "Booster.P_Appear",
            "Booster.P_BurstRed",
            "Booster.P_RedAppear",
            "Strawberry.P_WingsBurst",
            "Strawberry.P_Glow",
            "Strawberry.P_GoldGlow",
            "Strawberry.P_MoonGlow",
            "Cloud.P_Cloud",
            "Cloud.P_FragileCloud",
            "Refill.P_Shatter",
            "Refill.P_Glow",
            "Refill.P_Regen",
            "Refill.P_ShatterTwo",
            "Refill.P_GlowTwo",
            "Refill.P_RegenTwo",
            "Key.P_Shimmer",
            "Key.P_Insert",
            "Key.P_Collect",
            "CrystalDebris.P_Dust",
            "Bumper.P_Ambience",
            "Bumper.P_Launch",
            "Bumper.P_FireAmbience",
            "Bumper.P_FireHit",
            "FallingBlock.P_FallDustB",
            "FallingBlock.P_LandDust",
            "BirdNPC.P_Feather",
            "FlingBird.P_Feather",
            "FireBall.P_FireTrail",
            "FireBall.P_IceTrail",
            "FireBall.P_IceBreak",
            "BladeTrackSpinner.P_Trail"
        },
        editable = false
    },
    color = {
        fieldType = "color",
        allowEmpty = true
    },
    color2 = {
        fieldType = "color",
        allowEmpty = true
    }
}

return PCC